Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurityPerson.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurityPerson.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurityPerson.cs	(revision 51)
@@ -0,0 +1,507 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+
+namespace ProcessManagement.Forms.Master
+{
+    public partial class FrmSecurityPerson : Form
+    {
+        #region ログ使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        private enum Dispcount
+        {
+            SecurityCode = 0,
+            DisplayOrder,
+            SecurityName,
+            SecurityRank,
+            SecurityRange,
+            GeneralAffairs,
+            SelectColor,
+            EditMode,
+        }
+
+        /// <summary>
+        /// 修正モード名称
+        /// </summary>
+        private static string s_EditModeStringNew = "新規";
+        private static string s_EditModeStringEdit = "修正";
+        #endregion
+
+        #region 変数
+        /// <summary>
+        /// 終了状態フラグ
+        /// </summary>
+        private DialogResult m_EndButton = DialogResult.None;
+
+        /// <summary>
+        /// 新規作成フラグ
+        /// </summary>
+        private bool m_NewData = false;
+
+        /// <summary>
+        /// セキュリティ区分マスタ
+        /// </summary>
+        private SecurityMaster m_secRec = new SecurityMaster();
+
+        /// <summary>
+        /// コンロールオブジェクト
+        /// </summary>
+        private Control[] m_dispControl;
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 終了ボタン状態
+        /// </summary>
+        public DialogResult EndButton
+        {
+            get { return m_EndButton; }
+        }
+
+        /// <summary>
+        /// 新規作成フラグ
+        /// </summary>
+        public bool NewData
+        {
+            get { return m_NewData; }
+            set { m_NewData = value; }
+        }
+
+        /// <summary>
+        /// セキュリティ区分マスタ
+        /// </summary>
+        public SecurityMaster secRec
+        {
+            get { return m_secRec; }
+            set { m_secRec = value; }
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// フォーム初期化
+        /// </summary>
+        public FrmSecurityPerson()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmCostStructureDiag_Load(object sender, EventArgs e)
+        {
+            // フォームサイズ固定
+            this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+         
+            // コントロールのセット
+            SetDisplayObject();
+            
+            // 初期表示
+            DisplayData();
+        }
+        #endregion
+
+        #region ×ボタン
+        /// <summary>
+        /// ×ボタン押下処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmSecurityPerson_FormClosed(object sender, FormClosedEventArgs e)
+        {
+            if (m_EndButton == DialogResult.None) m_EndButton = DialogResult.Cancel;
+        }
+        #endregion
+
+        #region キャンセルボタン
+        /// <summary>
+        /// キャンセルボタン追加
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnCancel_Click(object sender, EventArgs e)
+        {
+            m_EndButton = DialogResult.Cancel;
+            this.Close();
+        }
+        #endregion
+
+        #region 登録ボタン
+        /// <summary>
+        /// 登録ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnExecProc_Click(object sender, EventArgs e)
+        {
+            if (!DispFeildCheck())
+            {
+                MessageBox.Show("データにエラーがあります、確認してください。", "データエラー"
+                                , MessageBoxButtons.OK, MessageBoxIcon.Error);
+                return;
+            }
+
+            // セキュリティ区分マスタ登録
+            SecurityMasterDataEntry();
+
+            m_EndButton = DialogResult.OK;
+            this.Close();
+        }
+        #endregion
+
+        #region 色選択ボタン
+        /// <summary>
+        /// 色選択ボタン変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnBackColor_Click(object sender, EventArgs e)
+        {
+            ColorDialog cd = new ColorDialog();
+            try
+            {
+                // ボタンの時
+                if (!sender.GetType().Equals(typeof(Button))) return;
+                Button ClickButton = (Button)sender;
+
+                //色の作成部分を表示可能にする、デフォルトがTrueのため必要はない
+                cd.AllowFullOpen = true;
+                //純色だけに制限しない、デフォルトがFalseのため必要はない
+                cd.SolidColorOnly = false;
+                //[作成した色]に指定した色（RGB値）を表示する
+                cd.CustomColors = new int[] {
+                        0x33, 0x66, 0x99, 0xCC, 0x3300, 0x3333,
+                        0x3366, 0x3399, 0x33CC, 0x6600, 0x6633,
+                        0x6666, 0x6699, 0x66CC, 0x9900, 0x9933};
+
+                //ダイアログを表示する
+                if (cd.ShowDialog() == DialogResult.OK)
+                {
+                    //選択された色の取得
+                    m_dispControl[(int)Dispcount.SelectColor].BackColor = cd.Color;
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                cd.Dispose();
+            }
+        }
+        #endregion
+
+        #region オブジェクトコントロールセット
+        /// <summary>
+        /// 表示オブジェクトの取得
+        /// </summary>
+        private void SetDisplayObject()
+        {
+            int DspCtrlCnt = Enum.GetNames(typeof(Dispcount)).Length;
+            m_dispControl = new Control[DspCtrlCnt];
+
+            m_dispControl[(int)Dispcount.SecurityCode] = lblSecurityCode;
+            m_dispControl[(int)Dispcount.DisplayOrder] = lblDisplayOrder;
+            m_dispControl[(int)Dispcount.SecurityName] = txtInput01;
+            m_dispControl[(int)Dispcount.SecurityRank] = cmbDataSecRank;
+            m_dispControl[(int)Dispcount.SecurityRange] = cmbDataSecRange;
+            m_dispControl[(int)Dispcount.GeneralAffairs] = cmbGeneralAffairs;
+            m_dispControl[(int)Dispcount.SelectColor] = lblSelectColor;
+            m_dispControl[(int)Dispcount.EditMode] = lblEditMode;
+        }
+        #endregion
+
+        #region 機密区分コンボボックス初期表示処理
+        /// <summary>
+        /// 機密区分コンボボックス初期表示処理
+        /// </summary>
+        private void SetSecRankCombBox()
+        {
+            try
+            {
+                // コンボボックスクリア
+                cmbDataSecRank.DataSource = null;
+                cmbDataSecRank.Items.Clear();
+
+                // 選択項目クリア
+                cmbDataSecRank.Text = "";
+
+                //コンボボックスのデータをセットする
+
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                DataList.Add(new KeyValuePair<int, string>(0, ""));
+                foreach (KeyValuePair<int, string> wrk in CommonDefine.SecurityRankList)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(wrk.Key, wrk.Value);
+
+                    DataList.Add(keyval);
+                }
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbDataSecRank, DataList);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 機密区分範囲コンボボックス初期表示処理
+        /// <summary>
+        /// 機密区分範囲コンボボックス初期表示処理
+        /// </summary>
+        private void SetSecRangeCombBox()
+        {
+            try
+            {
+                // コンボボックスクリア
+                cmbDataSecRange.DataSource = null;
+                cmbDataSecRange.Items.Clear();
+
+                // 選択項目クリア
+                cmbDataSecRange.Text = "";
+
+                //コンボボックスのデータをセットする
+
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                DataList.Add(new KeyValuePair<int, string>(0, ""));
+                foreach (KeyValuePair<int, string> wrk in CommonDefine.SecurityRangeList)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(wrk.Key, wrk.Value);
+
+                    DataList.Add(keyval);
+                }
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbDataSecRange, DataList);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 総務業務コンボボックス初期表示処理
+        /// <summary>
+        /// 総務業務コンボボックス初期表示処理
+        /// </summary>
+        private void SetGeneralAffairsCombBox()
+        {
+            try
+            {
+                // コンボボックスクリア
+                cmbGeneralAffairs.DataSource = null;
+                cmbGeneralAffairs.Items.Clear();
+
+                // 選択項目クリア
+                cmbGeneralAffairs.Text = "";
+
+                //コンボボックスのデータをセットする
+
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                DataList.Add(new KeyValuePair<int, string>(CommonDefine.GeneralAffairsList[(int)CommonDefine.GeneralAffairs.OtherDep].Key,
+                                                            CommonDefine.GeneralAffairsList[(int)CommonDefine.GeneralAffairs.OtherDep].Value));
+                DataList.Add(new KeyValuePair<int, string>(CommonDefine.GeneralAffairsList[(int)CommonDefine.GeneralAffairs.GeneralDep].Key,
+                                                            CommonDefine.GeneralAffairsList[(int)CommonDefine.GeneralAffairs.GeneralDep].Value));
+                
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbGeneralAffairs, DataList);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region データ表示処理
+        /// <summary>
+        /// データ表示
+        /// </summary>
+        /// <returns></returns>
+        private void DisplayData()
+        {
+            try
+            {
+                // セキュリティランクコンボボックスセット
+                SetSecRankCombBox();
+                SetSecRangeCombBox();
+                SetGeneralAffairsCombBox();
+                
+                // 新規時はデータ表示しない
+                if (m_NewData)
+                {
+                    m_dispControl[(int)Dispcount.EditMode].Text = s_EditModeStringNew;
+                    return;
+                }
+
+                m_dispControl[(int)Dispcount.SecurityCode].Text = m_secRec.SecCode.ToString();
+                m_dispControl[(int)Dispcount.DisplayOrder].Text = m_secRec.DisplayOrder.ToString();
+                m_dispControl[(int)Dispcount.SecurityName].Text = m_secRec.SecName;
+                ((ComboBox)m_dispControl[(int)Dispcount.SecurityRank]).SelectedValue = m_secRec.SecRank;
+                ((ComboBox)m_dispControl[(int)Dispcount.SecurityRange]).SelectedValue = m_secRec.SecRange;
+                ((ComboBox)m_dispControl[(int)Dispcount.GeneralAffairs]).SelectedValue = m_secRec.GeneralAffairs;
+                m_dispControl[(int)Dispcount.SelectColor].BackColor = CommonMotions.getBackForeColor(m_secRec.SelectBackColor, CommonDefine.PalceOfColor.BackColor);
+                m_dispControl[(int)Dispcount.EditMode].Text = s_EditModeStringEdit;
+
+                txtInput01.Select();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+            }
+        }
+        #endregion
+
+        #region 画面項目のチェック
+        /// <summary>
+        /// 画面項目のチェック
+        /// </summary>
+        /// <returns></returns>
+        private bool DispFeildCheck()
+        {
+            bool bRet = true;
+            try
+            {
+                // 区分名称は必須登録
+                if (!CommonMotions.DispFieldIndispensable(m_dispControl[(int)Dispcount.SecurityName])) bRet = false;
+                if (!CommonMotions.chkStringLength(m_dispControl[(int)Dispcount.SecurityName].Text, 60)) bRet = false;
+
+                // ランクは必須登録
+                if (!CommonMotions.DispFieldIndispensable(m_dispControl[(int)Dispcount.SecurityRank])) bRet = false;
+                if (!CommonMotions.DispFieldIndispensable(m_dispControl[(int)Dispcount.SecurityRange])) bRet = false;
+
+                return bRet;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region セキュリティ区分マスタ登録
+        /// <summary>
+        /// セキュリティ区分マスタ登録
+        /// </summary>
+        private bool SecurityMasterDataEntry()
+        {
+            IOMSecurity secDB = new IOMSecurity();
+            try
+            {
+                // 画面よりデータ取得
+                SecurityMaster EntryRec = new SecurityMaster();
+
+                EntryRec.SecCode = CommonMotions.cnvInt(m_dispControl[(int)Dispcount.SecurityCode].Text);
+                EntryRec.DisplayOrder = CommonMotions.cnvInt(m_dispControl[(int)Dispcount.DisplayOrder].Text);
+                EntryRec.SecName = CommonMotions.cnvString(m_dispControl[(int)Dispcount.SecurityName].Text);
+                EntryRec.SecRank = CommonMotions.cnvInt(((ComboBox)m_dispControl[(int)Dispcount.SecurityRank]).SelectedValue);
+                EntryRec.SecRange = CommonMotions.cnvInt(((ComboBox)m_dispControl[(int)Dispcount.SecurityRange]).SelectedValue);
+                EntryRec.GeneralAffairs = CommonMotions.cnvInt(((ComboBox)m_dispControl[(int)Dispcount.GeneralAffairs]).SelectedValue);
+
+                EntryRec.SelectBackColor = String.Format("0x{0:X2}{1:X2}{2:X2}", m_dispControl[(int)Dispcount.SelectColor].BackColor.R
+                                                    , m_dispControl[(int)Dispcount.SelectColor].BackColor.G
+                                                    , m_dispControl[(int)Dispcount.SelectColor].BackColor.B);
+
+                
+                // 新規時
+                if (m_NewData)
+                {
+                    // 区分番号取得
+                    int SecCode = secDB.SelectMaxSecurityCount(string.Empty);
+                    EntryRec.SecCode = SecCode;
+                    // 表示順取得
+                    int DispCnt = secDB.SelectMaxDisplayCount(string.Empty);
+                    EntryRec.DisplayOrder = DispCnt;
+
+                    if (!secDB.InsertAction(EntryRec)) return false;
+
+                    return true;
+                }
+
+                // 編集時
+                string strSQL = secDB.CreatePrimarykeyString(EntryRec.SecCode);
+                if (!secDB.UpdateAction(strSQL, EntryRec)) return false;
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                secDB.close(); secDB = null;
+            }
+        }
+        #endregion
+
+        #region セキュリティ区分変更時
+        /// <summary>
+        /// セキュリティ区分変更時
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void cmbDataSecRank_SelectedValueChanged(object sender, EventArgs e)
+        {
+            try
+            {
+                //// 選択値取得
+                //int SelRank = CommonMotions.cnvInt(cmbDataSecRank.SelectedValue);
+
+                //if (SelRank == CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.SpecialAuthority].Key)
+                //{
+                //    cmbDataSecRange.SelectedValue = CommonDefine.SecurityRangeList[(int)CommonDefine.SecurityRangePos.AllPath].Key;
+                //    cmbDataSecRange.Enabled = false;
+                //}
+                //else if (SelRank == CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.FreeAuthority].Key)
+                //{
+                //    cmbDataSecRange.SelectedValue = CommonDefine.SecurityRangeList[(int)CommonDefine.SecurityRangePos.Multiple].Key;
+                //    cmbDataSecRange.Enabled = true;
+                //}
+                //else if (SelRank == CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.LimitedAuthority].Key)
+                //{
+                //    cmbDataSecRange.SelectedValue = CommonDefine.SecurityRangeList[(int)CommonDefine.SecurityRangePos.Only].Key;
+                //    cmbDataSecRange.Enabled = true;
+                //}
+                //else if (SelRank == CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key)
+                //{
+                //    cmbDataSecRange.SelectedValue = CommonDefine.SecurityRangeList[(int)CommonDefine.SecurityRangePos.None].Key;
+                //    cmbDataSecRange.Enabled = false;
+                //}
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractor.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractor.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractor.cs	(revision 51)
@@ -131,10 +131,6 @@
         /// 会社コード
         /// </summary>
         private int m_CompanyCode = 0;
-        /// <summary>
-        /// 閲覧フラグ
-        /// </summary>
-        private bool m_bBrowseFlg = false;
 
         /// <summary>
         /// コンボボックスデータ保持領域
@@ -154,6 +150,11 @@
         /// 終了ボタン押下フラグ
         /// </summary>
         private bool m_EndButton = false;
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
         #endregion
 
         #region プロパティ
@@ -165,13 +166,14 @@
             set { m_CompanyCode = value; }
             get { return m_CompanyCode; }
         }
+
         /// <summary>
-        /// 閲覧フラグ
+        /// 参照フラグ
         /// </summary>
-        public bool BrowseFlg
+        public bool EditLock
         {
-            get { return m_bBrowseFlg; }
-            set { m_bBrowseFlg = value; }
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
         }
         #endregion
 
@@ -204,7 +206,7 @@
         private void FrmSubContractor_FormClosing(object sender, FormClosingEventArgs e)
         {
             if (m_EndButton) return;
-            if (m_bChengeAns && !m_bBrowseFlg)
+            if (m_bChengeAns && !m_EditLock)
             {
                 if (MessageBox.Show("データに変更があります、登録せずに終了してよろしいですか？。", "終了確認"
                                 , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
@@ -263,6 +265,12 @@
             // フィールドロック
             ControlLock(false);
 
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
             dgvMaster.Focus();
 
             m_InitFlg = false;
@@ -300,6 +308,8 @@
                 // データ登録
                 if (!SubontractorMasterDataEntry()) return;
 
+                CommonMotions.EntryEndMessage("協力会社情報データ");
+
                 // 更新エリアクリア
                 ClearDisplay();
 
@@ -393,6 +403,8 @@
                 jobitemDB.commit();
                 joblinkDB.commit();
 
+                CommonMotions.RemoveEndMessage("協力会社情報データ");
+
                 // 更新エリアクリア
                 ClearDisplay();
 
@@ -426,52 +438,6 @@
         }
         #endregion
 
-        #region 協力会社施工工種データ削除
-        /// <summary>
-        /// 協力会社施工工種データ削除
-        /// </summary>
-        /// <param name="jobitemDB"></param>
-        /// <returns></returns>
-        private bool SubontractorItemMasterDataDelete(IOMSubContractorJobItem jobitemDB)
-        {
-            try
-            {
-                string strDel = jobitemDB.CreatePrimarykeyString(CommonMotions.cnvInt(m_dispControl[(int)Dispcount.CompanyCode].Text));
-                jobitemDB.DeleteAction(strDel, false);
-
-                return true;
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
-            }
-        }
-        #endregion
-
-        #region 協力会社施工職種データ削除
-        /// <summary>
-        /// 協力会社施工職種データ削除
-        /// </summary>
-        /// <param name="jobLinkDB"></param>
-        /// <returns></returns>
-        private bool SubontractorJobLinkDataDelete(IOMSubContractorJobLink jobLinkDB)
-        {
-            try
-            {
-                string strDel = jobLinkDB.CreatePrimarykeyString(CommonMotions.cnvInt(m_dispControl[(int)Dispcount.CompanyCode].Text));
-                jobLinkDB.DeleteAction(strDel, false);
-
-                return true;
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
-            }
-        }
-        #endregion
-
         #region Entryキーでの移動処理
         /// <summary>
         /// Entryキーでの移動処理
@@ -495,52 +461,6 @@
         }
         #endregion
 
-        #region 行選択時処理
-        /// <summary>
-        /// 行選択時処理
-        /// </summary>
-        private void DataSelectRow()
-        {
-            if (m_bChengeAns)
-            {
-                if (MessageBox.Show("データに変更があります、登録内容を破棄してよろしいですか？。", "終了確認"
-                                , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
-                {
-                    return;
-                }
-            }
-            if (dgvMaster.Rows.Count < 1) return;
-            if (dgvMaster.CurrentRow.Index < 0) return;
-
-            // 空白行は処理しない
-            if (CommonMotions.chkObjectIsNull(dgvMaster.CurrentRow.Cells[(int)DispListColumn.CompanyName].Value) ||
-                CommonMotions.cnvString(dgvMaster.CurrentRow.Cells[(int)DispListColumn.CompanyName].Value).Length == 0)
-            {
-                // クリア
-                ClearDisplay();
-                // フィールドロック解除
-                ControlLock(false);
-                return;
-            }
-
-            m_CompanyCode = CommonMotions.cnvInt(dgvMaster.CurrentRow.Cells[(int)DispListColumn.CompanyCode].Value);
-
-            // クリア
-            ClearDisplay(true);
-
-            // フィールドロック解除
-            ControlLock();
-
-            // 更新データ取得
-            DispMentenanceData();
-
-            // モード表示
-            m_dispControl[(int)Dispcount.EditMode].Text = CommonDefine.EditModeStringEdit;
-            // フォーカスセット
-            m_dispControl[(int)Dispcount.CompanyName].Focus();
-        }
-        #endregion
-
         #region グリッド選択処理
         /// <summary>
         /// グリッド選択処理
@@ -802,6 +722,9 @@
         /// <param name="e"></param>
         private void dgvItem_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
         {
+            // 参照時は処理しない
+            if (m_EditLock) return;
+
             JobItemSelectFormDisplay();
         }
         #endregion
@@ -944,30 +867,6 @@
         }
         #endregion
 
-        #region 工種選択コンボボックスよりSQLを作成する
-        /// <summary>
-        /// 工種選択コンボボックスよりSQLを作成する
-        /// </summary>
-        /// <returns></returns>
-        private string GetSqlFromCmbItemType()
-        {
-            try
-            {
-                int Value = CommonMotions.cnvInt(cmbItemType.SelectedValue);
-                if (Value < 1) return string.Empty;
-
-                return string.Format("CompanyCode In (Select CompanyCode From SubContractorJobItem Where ItemCode = {0})",
-                                CommonMotions.cnvInt(cmbItemType.SelectedValue));
-
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return string.Empty;
-            }
-        }
-        #endregion
-
         #region 50音順コンボ変更時イベント
         /// <summary>
         /// 50音順コンボ変更時イベント
@@ -1010,28 +909,6 @@
         }
         #endregion
 
-        #region 50音順コンボボックスよりSQLを作成する
-        /// <summary>
-        ///  50音順コンボボックスよりSQLを作成する
-        /// </summary>
-        /// <returns></returns>
-        private string GetSqlFromcmbJapaneseSyllabary()
-        {
-            try
-            {
-                string Value = CommonMotions.cnvString(cmbJapaneseSyllabary.SelectedValue);
-                if (Value.Length == 0) return string.Empty;
-
-                return string.Format("JapaneseSyllabary = '{0}'", cmbJapaneseSyllabary.SelectedValue);
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return string.Empty;
-            }
-        }
-        #endregion
-
         #region 手間業者コンボ変更時イベント
         /// <summary>
         /// 手間業者コンボ変更時イベント
